# Interface IGenerateQueryOptions

interface IGenerateQueryOptions {
alias?: string;
name: string;
operation?: "query" | "subscription";
queries: any[];
}

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:139

#####
Index

### Properties

alias?
name
operation?
queries

##
Properties

### `Optional` alias

alias?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:143

### name

name: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:141

### `Optional` operation

operation?: "query" | "subscription"

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:142

### queries

queries: any[]

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:140